2017-09-25 18:54 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002467Kali Linux[All Projects] New Tool Requestspublic2017-05-30 07:54
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017.2 
Summary0002467: hURL - hexadecimal & URL encoder + decoder
DescriptionName: hURL
Homepage: https://github.com/fnord0/hURL
Download: https://raw.githubusercontent.com/fnord0/hURL/master/hURL
Licence: Copyleft
Description: hexadecimal & URL encoder + decoder

Command line encoding/decoding
Additional Information.::[ hURL - hexadecimal & URL (en/de)coder v2.1 ]::.

  USAGE: hURL [ -flag|--flag ] [ -f <file1>,<file2> ] [ string ]

   -M|--menu => Menu-driven GUI ; ./hURL -M
   -U|--URL => URL encode ; ./hURL -U "hello world"
   -u|--url => uRL decode ; ./hURL -u "hello%20world"
   -D|--DURL => Double URL encode ; ./hURL -D "hello world"
   -d|--durl => double URL decode ; ./hURL -d "hello%2520world"
   -B|--BASE64 => Base64 encode ; ./hURL -B "hello world"
   -b|--base64 => base64 decode ; ./hURL -b "aGVsbG8gd29ybGQ="
   -H|--HTML => HTML encode ; ./hURL -H "<hello world>"
   -h|--html => hTML decode ; ./hURL -h "<hello world>"
   -X|--HEX => ascii -> heX ; ./hURL -X "hello world"
    --esc :: output in escaped string ; "\x00\x01\x02\x03 ..."
    --pair :: output in hexpair format ; 00010203 ...
   -x|--hex => hex -> ascii ; ./hURL -x "68656c6c6f20776f726c64"
   -I|--INT => Int -> hex ; ./hURL -I "10"
   -i|--int => hex -> int ; ./hURL -i "0xa"
   -n|--nint => -int -> hex ; ./hURL -n -- -77
   -N|--NHEX => -hex -> iNt ; ./hURL -N 0xffffffb3
   -T|--INTB => inT -> bin ; ./hURL -T 30
   -t|--bint => bin -> int ; ./hURL -t 1010
   -F|--FLOATH => Float -> hex ; ./hURL -F 3.33
   -l|--hfloat => hex -> float ; ./hURL -l 0x40551ed8
   -o|--octh => octal -> hex ; ./hURL -o 35
   -O|--HOCT => hex -> Octal ; ./hURL -O 0x12
   -0|--binh => bin -> hex ; ./hURL -0 1100011
   -1|--hexb => hex -> bin ; ./hURL -1 0x63
   -2|--SHA1 => SHA1 checksum ; ./hURL -2 "hello world"
   -3|--SHA224 => SHA224 checksum ; ./hURL -3 "hello world"
   -4|--SHA256 => SHA256 checksum ; ./hURL -4 "hello world"
   -5|--SHA384 => SHA384 checksum ; ./hURL -5 "hello world"
   -6|--SHA512 => SHA512 checksum ; ./hURL -6 "hello world"
   -7|--ROT13 => ROT13 encode ; ./hURL -7 "hello world"
   -8|--rot13 => ROT13 decode ; ./hURL -8 "uryyb jbeyq"
   -9|--stack => push string 2 stack (corelan) ; ./hURL -9 "hello world"
    --esc :: output in escaped string ; "\x00\x01\x02\x03 ..."
    --pair :: output in hexpair format ; 00010203 ...
    --ansiC :: output in C format ; 0x00, 0x01, 0x02, 0x03 ...
   -m|--md5 => md5 digest ; ./hURL -m "hello world"
   -e|--net => int -> hex (net-byte order) ; ./hURL -e 4444
   -E|--NET => hex (nEt-byte order) -> int ; ./hURL -E 5c11
   -w|--wbin => hex [file] -> binary [file] ; ./hURL -w -f <INfile> <OUTfile>
   -r|--rbin => binary [file] -> hex (corelan); ./hURL -r -f /tmp/msgbox.bin
    --esc :: output in escaped string ; "\x00\x01\x02\x03 ..."
    --pair :: output in hexpair format ; 00010203 ...
    --ansiC :: output in C format ; 0x00, 0x01, 0x02, 0x03 ...

   --color|--nocolor => enable/disable colored output [default is ENABLED]
   --corelan => display corelan reference
   --help => displays help
   --man => displays extended help with examples
   --version => displays version information

   -s => suppress (display result only)
   -f|--file <file1>,<file2> => use file(s) as input
   [string] => string as input


  EXAMPLES: ./hURL -b -s "aGVsbG8gd29ybGQ="
             ./hURL -X -f /var/www/meterpreter.php
             ./hURL --nocolor -Xsf /var/www/revshell1337.php,pythonshell.py
Attached Files

-Relationships
+Relationships

-Notes

~0006766

sbrun (manager)

package hurl version 2.1-0kali1 is now in kali-rolling
+Notes

-Issue History
Date Modified Username Field Change
2015-08-02 23:18 g0tmi1k New Issue
2017-05-16 12:51 sbrun Assigned To => sbrun
2017-05-16 12:51 sbrun Status new => assigned
2017-05-30 07:54 sbrun Status assigned => resolved
2017-05-30 07:54 sbrun Resolution open => fixed
2017-05-30 07:54 sbrun Fixed in Version => 2017.2
2017-05-30 07:54 sbrun Additional Information Updated View Revisions
2017-05-30 07:54 sbrun Note Added: 0006766
+Issue History